# wxGridCellRenderer Class Reference
[Grid Related Classes]

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellRenderer:
[legend]

## Detailed Description

This class is responsible for actually drawing the cell in the grid.

You may pass it to the wxGridCellAttr (below) to change the format of one given cell or to wxGrid::SetDefaultRenderer() to change the view of all cells. This is an abstract class, and you will normally use one of the predefined derived classes or derive your own class from it.

##

Library: wxAdvanced

Category: Grid Related Classes

See also:
  wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellDateTimeRenderer, wxGridCellEnumRenderer, wxGridCellFloatRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer

## Public Member Functions
virtual wxGridCellRenderer * | Clone () const =0
| This function must be implemented in derived classes to return a copy of itself.
virtual void | Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected)=0
| Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value.
virtual wxSize | GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col)=0
| Get the preferred size of the cell for its contents.

List of all members.

## Member Function Documentation

virtual wxGridCellRenderer* wxGridCellRenderer::Clone | ( |  | ) | const`[pure virtual]`

This function must be implemented in derived classes to return a copy of itself.

virtual void wxGridCellRenderer::Draw | ( | wxGrid & | grid,
|  | wxGridCellAttr & | attr,
|  | wxDC & | dc,
|  | const wxRect & | rect,
|  | int | row,
|  | int | col,
|  | bool | isSelected |
| ) |  |  | `[pure virtual]`

Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value.

This pure virtual function has a default implementation which will prepare the DC using the given attribute: it will draw the rectangle with the background colour from attr and set the text colour and font.

virtual wxSize wxGridCellRenderer::GetBestSize | ( | wxGrid & | grid,
|  | wxGridCellAttr & | attr,
|  | wxDC & | dc,
|  | int | row,
|  | int | col |
| ) |  |  | `[pure virtual]`

Get the preferred size of the cell for its contents.

|  | [ top ]